Subject: RE: [bmwg] Inital COmments ondraft-popoviciu-bmwg-ipv6benchmarking-01.txt

From: "Ahmed Hamza \(ahamza\)" <[email-masked]>
Date: Wed, 14 Jun 2006 00:44:23 -0400

Thank you Jerry for your review. 

Inline ... 

-Ahmed

>-----Original Message-----
>From: Jerry Perser [mailto:[email-masked]] 
>Sent: Friday, June 09, 2006 2:18 PM
>To: [email-masked]
>Subject: [bmwg] Inital COmments 
>ondraft-popoviciu-bmwg-ipv6benchmarking-01.txt
>
>Three comments to start with.  I will add more as I do more rereading.
>
>Section 4.1
>
>The "Two types of media are commonly deployed" refer to core 
>networks and enterprise networks.  They and not the two common 
>media for devices that create the IPv4 and IPv6 traffic.  At 
>the next IETF meeting, count how many people are using SONET 
>on their laptops.  The two types of media are commonly 
>deployed for IP clients are 802.3 and 802.11.  If your focus is
>IPv6 Benchmarking, then consider changing the media to refer 
>to 802.3 and 802.11.  If you focus is benchmarking core or 
>enterprise routers, then change the title.

AH> Yes the focus is only on core/edge routers. We'll explicitly mention this in this section. 
>
>Section 4.1.2
>
>In my opinion, testing frames sizes greater than 1518 results 
>in no useful information and should not be recommended for a 
>few reasons:
>
>1. Most IPv4 and IPv6 traffic comes from devices that have 
>either 802.3 or
>802.11 interface and are running a TCP/IP stack that is aware of this.
>Frames coming out of these devices will be of the 1518 bytes or less.
>Exception would be a dial-up link, where the MTU is sometimes 
>decreased to 576.
>
>2. Most networks are not homogeneous. Homogeneous in the sense 
>that all media links have the same MTU.  Network Admins set 
>the MTU of the all devices to the GCF (Greatest Common 
>Factor).  With a mix of 802.3, SONET, and 802.11, the GCF will be 1518.
>
>3. For the same reason SONET first frames size is 64 bytes.  SONET (and
>802.11) first frame size should be 40 bytes (an IPv4 TCP ACK). 
> But we test this at 64 only because Ethernet has to pad it.  
>I looked at NLANR's data for a few SONET links 
>(http://pma.nlanr.net/Datacube/) and the frames size ranged 
>from 28 - 1500.  Could find anyone using SONET greater than 1500 bytes.

AH> In some scenarios we need to benchmark for frame size greater than 1518B. For completeness we should keep all possible frame sizes. 

>
>Section 6
>
>I need to reread the draft again next week because I seem to 
>miss the point on why we needed an IPv6 benchmarking.  
>Sections 6.1 through 6.6 say "Same as RFC2544."  There are no 
>new benchmarks.  There are no other references to other BMWG 
>RFCs.  It talks about RFC1242/2544, but not RFC2285/2889, nor 
>RFC2432/3918.  Doesn't IPv6 support multicast?

AH> This I-D does not address IPv6 Multicast. This will be addressed in a separate I-D. 
>
>One of my upcoming tasks is to add IPv6 support to Veriwave's 
>benchmarking suites.  This draft could be more helpful if it 
>read more like a howto guild in adapting IPv4 methodologies to 
>IPv6.  One of my concerns is how to support RFC2461.

AH> Good to see you already implementing IPv6 benchmarking. Can you please elaborate on your concerns for supporting 2461 ? 

>
>When I start implementing IPv6, I will post my notes (as I did 
>with draft-ietf-bmwg-hash-stuffing-05.txt).
>
>Jerry Perser
>Veriwave
>Main :  818-338-4000
>Direct: 818-338-4112
>Fax:    818-338-4005
>
>
>
>_______________________________________________
>bmwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/bmwg
>

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg